hook_diam=25;
hook_thickness=4.5;
door_width=hook_thickness+25;
shaft_height=40;
plate_width=hook_thickness;
back_shaft_height=20;

translate([hook_diam/2,shaft_height/2,0]){
	intersection(){
		rotate_extrude(convexity=10, $fn=100){
			translate([hook_diam/2,0,0]){
				square([hook_thickness,hook_thickness], center=true);
			}
		}
		translate([0, (hook_diam+hook_thickness)/4 , 0]){
			cube([hook_diam+hook_thickness,(hook_diam+hook_thickness)/2, hook_thickness], center=true);
		}
	}
}

cube([hook_thickness, shaft_height,hook_thickness], center=true);

translate([-door_width/2+hook_thickness/2, -shaft_height/2-hook_thickness/2, 0]){
	cube([door_width, hook_thickness,plate_width], center=true);
}
translate([-door_width, (-shaft_height+back_shaft_height)/2-hook_thickness , 0]){
	cube([hook_thickness, back_shaft_height,plate_width], center=true);
}